// ---------------------------------------------------------------------------
// - Predawww.hpp                                                            -
// - afnix:www library - predicates declaration                              -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_PREDAWWW_HPP
#define  AFNIX_PREDAWWW_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {
  Object* www_urlp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_cokp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_cgip (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_tagp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_elmp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_divp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_refp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_tbdp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_tbrp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_tblp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_htmp (Runnable* robj, Nameset* nset, Cons* args);
  Object* www_xhtp (Runnable* robj, Nameset* nset, Cons* args);
}

#endif
