// ---------------------------------------------------------------------------
// - Engsid.hpp                                                              -
// - afnix engine - engine serial id definition                              -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_ENGSID_HPP
#define  AFNIX_ENGSID_HPP

#ifndef  AFNIX_CCNF_HPP
#include "ccnf.hpp"
#endif

namespace afnix {
  static const t_byte SERIAL_RESV_ID = 0x10; // reserved  id
  static const t_byte SERIAL_CNST_ID = 0x11; // constant  id
  static const t_byte SERIAL_LEXL_ID = 0x12; // lexical   id
  static const t_byte SERIAL_QUAL_ID = 0x13; // qualified id
  static const t_byte SERIAL_FORM_ID = 0x14; // form      id
}

#endif
