// ---------------------------------------------------------------------------
// - Predanet.hpp                                                            -
// - afnix:net library - predicates declaration                              -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_PREDANET_HPP
#define  AFNIX_PREDANET_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {
  Object* anet_mailp      (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_addressp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_socketp    (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_datagramp  (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_tcpsocketp (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_udpsocketp (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_tcpclientp (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_udpclientp (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_tcpserverp (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_udpserverp (Runnable* robj, Nameset* nset, Cons* args);
  Object* anet_multicastp (Runnable* robj, Nameset* nset, Cons* args);
}


#endif
